EMPTY-PAGE(1)

NAME
empty-page - empty page detector of the ExactImage toolkit

SYNOPSIS

empty-page [option...] {-i | --input} input-file

empty-page {-h | --help}

DESCRIPTION

ExactImage is a fast C++ image processing library. Unlike many other library frameworks it allows operation in several color spaces and bit depths natively, resulting in low memory and computational requirements.

empty-page counts dark pixels of a black and white image and decides with a threshold whether the page is most probably empty, and thus can be removed from the image processing stream.

OPTIONS

-i file, --input file
    Read image from the specified file.

-m n, --margin n
    Set width of border margin to skip. For speed reasons, the margin has to be a multiple of 8. The default is 16.

-p x, --percentage x
    Set fraction of permissible dark pixels. The default is 0.05 (5%).

-h, --help
    Display help text and exit.

EXAMPLES

    $ empty-page -i test.tif
    The image has 75461 dark pixels from a total of 1060992 (7.11231%).
    non-empty

EXIT STATUS

The exit status is 0 if the image is mostly white, 1 otherwise.

SEE ALSO

exactimage(7)

AUTHORS

Jakub Wilk <jwilk@debian.org>
    Wrote this manual page for the Debian system.

https://exactcode.com/opensource/exactimage/
    This manual page incorporates texts found on the ExactImage homepage.

COPYRIGHT

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.